=== debian/changelog ===
cain (1.9-7) unstable; urgency=low

  * Replace libeigen2-dev by libeigen3-dev.  (Thanks for the patch to
    Anton Gladky <gladk@debian.org>)
    Closes: #726200
  * debian/control:
     - cme fix dpkg-control
     - Priority: optional

 -- Andreas Tille <tille@debian.org>  Mon, 14 Oct 2013 21:35:53 +0200

cain (1.9-6) unstable; urgency=low

  * Enable arch only builds (thanks for the patch to Adam Conrad
    <adconrad@debian.org>)
    Closes: #685066

 -- Andreas Tille <tille@debian.org>  Thu, 16 Aug 2012 12:54:18 +0200

cain (1.9-5) unstable; urgency=low

  [ Ivo Maintz ]
  * debian/rules: remove lots of superfluos files in help/ and gui/
  * fixed broken links in the help
    LP: #1032304

  [ Andreas Tille ]
  * debian/control:
     - Build-Depends: zip
     - Removed quilt from Build-Depends
  * debian/rules: use xz compression

 -- Andreas Tille <tille@debian.org>  Fri, 10 Aug 2012 14:09:53 +0200

cain (1.9-4) unstable; urgency=low

  * debian/rules: Enable binary only builds
    Closes: #674235

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2012 09:48:53 +0200

cain (1.9-3) unstable; urgency=low

  [ Ivo Maintz ]
  * added a simple manpage

  [ Andreas Tille ]
  * debian/upstream: Add publication information
  * debian/patches/gcc-4.7.patch: Fix build failure with GCC 4.7.
    (Thanks for the patch to Matthias Klose <doko@debian.org>)
    Closes: #672045
  * debian/patches/*: DEP3 descriptions for patches
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debhelper 9 (control+compat)
  * debian/{dirs,docs}: deleted because unused
  * debian/patches/hardening.patch: Propagate hardening flags
  * debian/rules: Rewritten to use short dh which finally cares for
    the propagation of hardening flags (when doing so use installation
    via direct debhelper control files: *.install)
  * debian/cain-solvers.{install,links}: install solvers into
    usr/lib/cain/solvers rather than usr/lib/solvers
  * debian/menu: Use existing menu section

 -- Andreas Tille <tille@debian.org>  Tue, 22 May 2012 07:59:45 +0200

cain (1.9-2) unstable; urgency=low

  * changed the partitioning of the package

 -- Ivo Maintz <ivo@maintz.de>  Thu, 13 Oct 2011 13:12:12 +0200

cain (1.9-1) unstable; urgency=low

  * New upstream release

 -- Ivo Maintz <ivo@maintz.de>  Wed, 28 Sep 2011 12:02:11 +0200

cain (1.8-1) natty; urgency=low

  * update from upstream

 -- Ivo Maintz <ivo@maintz.de>  Fri, 23 Sep 2011 14:18:03 +0200

cain (1.6-3) natty; urgency=low

  * now the solvers are build, too

 -- Ivo Maintz <ivo@maintz.de>  Wed, 22 Jun 2011 13:01:39 +0200

cain (1.6-2) natty; urgency=low

  * recompiled for natty

 -- Ivo Maintz <ivo@maintz.de>  Thu, 05 May 2011 10:09:41 +0200

cain (1.6-1) unstable; urgency=low

  * Update from Upstream

 -- Ivo Maintz <ivo@maintz.de>  Mon, 07 Feb 2011 12:18:23 +0100

cain (1.5-1) unstable; urgency=low

  * Initial release

 -- Ivo Maintz <ivo@maintz.de>  Tue, 05 Oct 2010 14:31:33 +0200
