=== debian/control ===
Source: cain
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Ivo Maintz <ivo@maintz.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all-dev,
               python (<< 3.0),
               libeigen3-dev,
               zip
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cain/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cain/trunk/
Homepage: http://cain.sourceforge.net

Package: cain
Architecture: all
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python (<< 3.0),
         python-wxgtk2.8,
         python-matplotlib,
         python-numpy,
         python-scipy,
         python-sympy,
         cain-solvers
Recommends: cain-examples
Description: simulations of chemical reactions
 Cain performs stochastic and deterministic simulations of chemical reactions.
 It can spawn multiple simulation processes to utilize multi-core computers.
 It stores models, methods, and simulation output (populations and reaction
 counts) in an XML format. In addition, SBML models can be imported and
 exported. The models and methods can be read from input files or edited
 within the program.
 .
 The GUI (Graphical User Interface) is written in Python and uses the wxPython
 toolkit. Most of the solvers are implemented as command line executables,
 written in C++, which are driven by Cain. This makes it easy to launch batch
 jobs. It also simplifies the process of adding new solvers. Cain offers a
 variety of solvers:
  * Gillespie's direct method.
  * Gillespie's first reaction method.
  * Gibson and Bruck's next reaction method.
  * Tau-leaping.
  * Hybrid direct/tau-leaping.
  * ODE integration.
 .
 This package provides the architecture independent files for cain

Package: cain-solvers
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libeigen3-dev
Description: simulations of chemical reactions
 Cain performs stochastic and deterministic simulations of chemical reactions.
 It can spawn multiple simulation processes to utilize multi-core computers.
 It stores models, methods, and simulation output (populations and reaction
 counts) in an XML format. In addition, SBML models can be imported and
 exported. The models and methods can be read from input files or edited
 within the program.
 .
 The GUI (Graphical User Interface) is written in Python and uses the wxPython
 toolkit. Most of the solvers are implemented as command line executables,
 written in C++, which are driven by Cain. This makes it easy to launch batch
 jobs. It also simplifies the process of adding new solvers. Cain offers a
 variety of solvers:
  * Gillespie's direct method.
  * Gillespie's first reaction method.
  * Gibson and Bruck's next reaction method.
  * Tau-leaping.
  * Hybrid direct/tau-leaping.
  * ODE integration.
 .
 This package provides the solver libraries

Package: cain-examples
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cain
Description: simulations of chemical reactions
 Cain performs stochastic and deterministic simulations of chemical reactions.
 It can spawn multiple simulation processes to utilize multi-core computers.
 It stores models, methods, and simulation output (populations and reaction
 counts) in an XML format. In addition, SBML models can be imported and
 exported. The models and methods can be read from input files or edited
 within the program.
 .
 The GUI (Graphical User Interface) is written in Python and uses the wxPython
 toolkit. Most of the solvers are implemented as command line executables,
 written in C++, which are driven by Cain. This makes it easy to launch batch
 jobs. It also simplifies the process of adding new solvers. Cain offers a
 variety of solvers:
  * Gillespie's direct method.
  * Gillespie's first reaction method.
  * Gibson and Bruck's next reaction method.
  * Tau-leaping.
  * Hybrid direct/tau-leaping.
  * ODE integration.
 .
 This package provides the cain examples
