=== debian/watch ===
version=3
opts="uversionmangle=s/_/./" \
http://sf.net/cain/[cC]ain-(\d_\d).zip
