## cain 1.10%2Bdfsg

=== debian/changelog ===
cain (1.10+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build by making sure directory exists.
  * Make build reproducible.
    - Use stable order for files in help HTB.
    - Use consistent timezone.
    - Use consistent file permissions.
  * d/README.Debian: drop duplicate word
  * Use secure Vcs-Git.
  * Remove menu file to comply with new standards.
  * Enable full hardening.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 27 May 2016 10:15:44 +0000

cain (1.10+dfsg-1) unstable; urgency=medium

  [ Ivo Maintz ]
  * debian/rules:
    - added patch by Chris Lamb <lamby@debian.org> for
      repoducible builds
      Closes: #792684
  * debian/control:
    - bumped Standards-Version to 3.9.6
    - changed description for cain-examples and cain-solvers

  [ Andreas Tille ]
  * New upstream version
  * Fixed watch file
  * debian/copyright rewritten to match DEP5
  * Moved packaging from SVN to Git
  * Remove debian/menu

 -- Andreas Tille <tille@debian.org>  Sat, 19 Dec 2015 07:22:11 +0100

cain (1.9-8) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Depends: python-wxgtk3.0 (instead of python-wxgtk2.8)
    Closes: #759051

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2014 09:18:36 +0200
