## cain 1.10+dfsg

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 	rm -rf Cain.app/Contents/Resources/simulation
 	rm -rf Cain.app/Contents/Resources/solvers
 	rm -rf Cain.app/Contents/Resources/state
+	rm -f solvers/*
+	rm -f src/solvers/*.d
 
 test:
 	nosetests --with-doctest -v simulation state
