=== src/solvers/Makefile ===
--- 
+++ 
@@ -20,6 +20,10 @@
 CXXFLAGS += -ansi -Wall
 # Commented out for Eigen.
 #CXXFLAGS += -pedantic
+
+ifeq ($(shell uname),Linux)
+  LOADLIBES += -lrt
+endif
 
 ifndef SOURCES
 # The homogeneous sources have mass action solvers that can be pre-compiled.
