=== src/solvers/SConstruct ===
# -*- python -*-

import os.path
from env import serial

build = '../../solvers'
VariantDir(build, '.', duplicate=0)

if COMMAND_LINE_TARGETS:
    sources = [x + '.cc' for x in COMMAND_LINE_TARGETS]
else:
    sources = Glob('Homogeneous*.cc')

for source in sources:
    serial.Program(os.path.join(build, str(source)))
