=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python (<< 3.0),
                libeigen3-dev,
                zip
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cain/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cain/trunk/
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cain.git
+Vcs-Git: git://anonscm.debian.org/debian-med/cain.git
 Homepage: http://cain.sourceforge.net
 
 Package: cain
@@ -20,7 +20,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python (<< 3.0),
-         python-wxgtk2.8,
+         python-wxgtk3.0,
          python-matplotlib,
          python-numpy,
          python-scipy,
@@ -54,7 +54,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libeigen3-dev
-Description: simulations of chemical reactions
+Description: solvers for cain
  Cain performs stochastic and deterministic simulations of chemical reactions.
  It can spawn multiple simulation processes to utilize multi-core computers.
  It stores models, methods, and simulation output (populations and reaction
@@ -81,7 +81,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          cain
-Description: simulations of chemical reactions
+Description: examples for cain
  Cain performs stochastic and deterministic simulations of chemical reactions.
  It can spawn multiple simulation processes to utilize multi-core computers.
  It stores models, methods, and simulation output (populations and reaction
