=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/_/./" \
  http://sf.net/cain/[cC]ain-(\d[\d\._]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
